- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CRect Struct Reference

`#include <vstgui.h>`

List of all members.

## Public Member Functions
| CRect (CCoord left=0, CCoord top=0, CCoord right=0, CCoord bottom=0)
| CRect (const CRect &r)
CRect & | operator() (CCoord left, CCoord top, CCoord right, CCoord bottom)
bool | operator!= (const CRect &other) const
bool | operator== (const CRect &other) const
CCoord | width () const
CCoord | height () const
CCoord | getWidth () const
CCoord | getHeight () const
void | setWidth (CCoord width)
void | setHeight (CCoord height)
CRect & | offset (CCoord x, CCoord y)
CRect & | inset (CCoord deltaX, CCoord deltaY)
CRect & | moveTo (CCoord x, CCoord y)
bool | pointInside (const CPoint &where) const
bool | isEmpty () const
bool | rectOverlap (const CRect &rect) const
void | bound (const CRect &rect)

## Constructor & Destructor Documentation

CRect::CRect | ( | CCoord | left = `0`,
|  | CCoord | top = `0`,
|  | CCoord | right = `0`,
|  | CCoord | bottom = `0`
| ) | `[inline]`

CRect::CRect | ( | const CRect & | r | ) | `[inline]`

## Member Function Documentation

void CRect::bound | ( | const CRect & | rect | ) |

CCoord CRect::getHeight | ( |  | ) | const`[inline]`

CCoord CRect::getWidth | ( |  | ) | const`[inline]`

CCoord CRect::height | ( |  | ) | const`[inline]`

CRect& CRect::inset | ( | CCoord | deltaX,
|  | CCoord | deltaY
| ) | `[inline]`

bool CRect::isEmpty | ( |  | ) | const

CRect& CRect::moveTo | ( | CCoord | x,
|  | CCoord | y
| ) | `[inline]`

CRect& CRect::offset | ( | CCoord | x,
|  | CCoord | y
| ) | `[inline]`

bool CRect::operator!= | ( | const CRect & | other | ) | const`[inline]`

CRect& CRect::operator() | ( | CCoord | left,
|  | CCoord | top,
|  | CCoord | right,
|  | CCoord | bottom
| ) | `[inline]`

bool CRect::operator== | ( | const CRect & | other | ) | const`[inline]`

bool CRect::pointInside | ( | const CPoint & | where | ) | const

bool CRect::rectOverlap | ( | const CRect & | rect | ) | const`[inline]`

void CRect::setHeight | ( | CCoord | height | ) | `[inline]`

void CRect::setWidth | ( | CCoord | width | ) | `[inline]`

CCoord CRect::width | ( |  | ) | const`[inline]`

## Member Data Documentation

CCoord CRect::bottom

CCoord CRect::left

CCoord CRect::right

CCoord CRect::top

CCoord CRect::x

CCoord CRect::x2

CCoord CRect::y

CCoord CRect::y2

The documentation for this struct was generated from the following files:

- vstgui.h
- vstgui.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.